javax.resource.cci

## Interface Connection

-     public interface Connection

  A Connection represents an application-level handle that is used by a client to access the underlying physical connection. The actual physical connection associated with a Connection instance is represented by a ManagedConnection instance.

  A client gets a Connection instance by using the `getConnection` method on a `ConnectionFactory` instance. A connection can be associated with zero or more Interaction instances.

  Version:
    0.8
  Author:
    Rahul Sharma
  See Also:
    `ConnectionFactory`, `Interaction`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Initiates close of the connection handle at the application level.
    `Interaction` | `createInteraction()` Creates an Interaction associated with this Connection.
    `LocalTransaction` | `getLocalTransaction()` Returns an LocalTransaction instance that enables a component to demarcate resource manager local transactions on the Connection.
    `ConnectionMetaData` | `getMetaData()` Gets the information on the underlying EIS instance represented through an active connection.
    `ResultSetInfo` | `getResultSetInfo()` Gets the information on the ResultSet functionality supported by a connected EIS instance.

- - ### Method Detail

    - #### createInteraction

          Interaction createInteraction()
                                        throws ResourceException

      Creates an Interaction associated with this Connection. An Interaction enables an application to execute EIS functions.
      Returns:
        Interaction instance
      Throws:
        `ResourceException` - Failed to create an Interaction

    - #### getLocalTransaction

          LocalTransaction getLocalTransaction()
                                               throws ResourceException

      Returns an LocalTransaction instance that enables a component to demarcate resource manager local transactions on the Connection. If a resource adapter does not allow a component to demarcate local transactions on an Connection using LocalTransaction interface, then the method getLocalTransaction should throw a NotSupportedException.
      Returns:
        LocalTransaction instance
      Throws:
        `ResourceException` - Failed to return a LocalTransaction instance because of a resource adapter error
        `NotSupportedException` - Demarcation of Resource manager local transactions is not supported on this Connection
      See Also:
        `LocalTransaction`

    - #### getMetaData

          ConnectionMetaData getMetaData()
                                         throws ResourceException

      Gets the information on the underlying EIS instance represented through an active connection.
      Returns:
        ConnectionMetaData instance representing information about the EIS instance
      Throws:
        `ResourceException` - Failed to get information about the connected EIS instance. Error can be resource adapter-internal, EIS-specific or communication related.

    - #### getResultSetInfo

          ResultSetInfo getResultSetInfo()
                                         throws ResourceException

      Gets the information on the ResultSet functionality supported by a connected EIS instance.
      Returns:
        ResultSetInfo instance
      Throws:
        `ResourceException` - Failed to get ResultSet related information
        `NotSupportedException` - ResultSet functionality is not supported

    - #### close

          void close()
                     throws ResourceException

      Initiates close of the connection handle at the application level. A client should not use a closed connection to interact with an EIS.
      Throws:
        `ResourceException` - Exception thrown if close on a connection handle fails.

        Any invalid connection close invocation--example, calling close on a connection handle that is already closed--should also throw this exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.